{% extends 'base.html' %}
{% load crispy_forms_tags %}


{% block title %}Ficha de paciente{% endblock %}

{% block content %}
<div class="offset-1 col-10 list-div">
    <h2>Ficha do paciente "{{ ficha.nome }}"</h2>
	<div class="card" style="padding:50px; margin: 50px;">

	<div class="card-body">
	<h5>Nome: '{{ ficha.nome }}'</h5>
	</div>
	<div class="card-body">
	<h5>Animal: '{{ ficha.raca }}'</h5>
	</div>
	<div class="card-body">
	<h5>Idade:'{{ ficha.idade }}'</h5>
	</div>
	<div class="card-body">
	<h5>Contato do dono: '{{ ficha.contato_dono }}'</h5>
	</div>
	<div class="card-body">
	<h5>Situação do paciente: '{{ ficha.situacao }}'</h5>
	</div>
	</div>



	<h3>Registros</h3>

	<a id="add-link" href="{% url 'clinica:cadastrarRegistro' ficha.id %}">

	<div class="col-2 add-div">
		<i class="fas fa-plus"></i> Adicionar Registro
	</div>
	</a>


	<div class="col-9 search-div">
		<form method="GET" id="search-form">
		<input class="form-control" type="text" id="search" name="search" placeholder="Digite o nome do registro">
		<i class="fas fa-search" id="search-btn"></i>
		</form>
	</div>


	{% if messages %}
		<ul class="messages">
			{% for message in messages %}
			<li {% if message.tags %} class="alert alert-{{message.tags}}"{% endif %}>{{ message }}</li>
			{% endfor %}

		</ul>
	{% endif %}
	<ul class="task-list">
		{% for registro in registros %}

		<li class="task-item">
			<span><a href="{% url 'clinica:registro' registro.id %}">{{registro.titulo}}</a></span>

		</li>
		{% endfor %}
	</ul>
	<div class="pagination">
		<span class="step-links">
			{% if registros.has_previous %}
				<a href="?page={{ registros.previous_page_number }}"><i class="fas fa-arrow-left"> </i></a>
			{% endif %}

			{% if registros.paginator.num_pages %}
			<span class="current">
				{{ registros.number }} de {{ registros.paginator.num_pages }}
			</span>
			{% endif %}

			{% if registros.has_next %}
				<a href="?page={{ registros.next_page_number }}"><i class="fas fa-arrow-right"> </i></a>
			{% endif %}
		</span>

	</div>
</div>
{% endblock %}
